summaryrefslogtreecommitdiffstats
path: root/system/xen/xen.SlackBuild
diff options
context:
space:
mode:
author mario2013-10-28 03:09:37 +0100
committer Robby Workman2013-10-28 05:39:07 +0100
commit132d9a314ac5ea74dd302f5053cd0db486f0d060 (patch)
treed688cbc2454ec9ff0bcc6ba96bb45ea4b8e24ee0 /system/xen/xen.SlackBuild
parent6d9ad5f4736e6b783e7e0efc4f8bbd49f6045292 (diff)
downloadslackbuilds-132d9a314ac5ea74dd302f5053cd0db486f0d060.tar.gz
system/xen: Updated for version 4.3.0.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/xen/xen.SlackBuild')
-rw-r--r--system/xen/xen.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/system/xen/xen.SlackBuild b/system/xen/xen.SlackBuild
index fe6a287ce5..665b79eaf4 100644
--- a/system/xen/xen.SlackBuild
+++ b/system/xen/xen.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xen
-VERSION=${VERSION:-4.2.2}
+VERSION=${VERSION:-4.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -123,7 +123,7 @@ make install-docs \
DESTDIR=$PKG
# Remove useless symlinks in boot/
-find $PKG/boot/ -type l -a -name "xen-*" -exec rm -f {} \;
+find $PKG/boot/ -type l -a -name "xen-*" -exec rm -f {} \; 2>/dev/null || true
# Move from SYSV to BSD init scripts
mv $PKG/etc/rc.d/init.d/xen-watchdog $PKG/etc/rc.d/rc.xen-watchdog.new
@@ -132,8 +132,8 @@ mv $PKG/etc/rc.d/init.d/xend $PKG/etc/rc.d/rc.xend.new
mv $PKG/etc/rc.d/init.d/xendomains $PKG/etc/rc.d/rc.xendomains.new
# Fully qualified paths are needed for /etc/rc.d/rc.local_shutdown
-sed -i 's:\(^[[:space:]]*\)xend :\1/usr/sbin/xend : ' $PKG/etc/rc.d/rc.xend.new
-sed -i 's:CMD=x\([m|l]\):CMD=/usr/sbin/x\1:' $PKG/etc/rc.d/rc.xendomains.new
+#sed -i 's:\(^[[:space:]]*\)xend :\1/usr/sbin/xend : ' $PKG/etc/rc.d/rc.xend.new
+#sed -i 's:CMD=x\([m|l]\):CMD=/usr/sbin/x\1:' $PKG/etc/rc.d/rc.xendomains.new
# Put udev rules files in the right place
mkdir -p $PKG/lib/udev/rules.d
@@ -142,7 +142,7 @@ mv $PKG/etc/udev/rules.d/xen*.rules $PKG/lib/udev/rules.d/
# Remove empty directories
rmdir $PKG/etc/{rc.d/init.d,udev/rules.d,udev}
# Only if they are really empty
-rmdir --ignore-fail-on-non-empty $PKG/usr/doc/$PRGNAM-$VERSION/{pdf,ps}
+#rmdir --ignore-fail-on-non-empty $PKG/usr/doc/$PRGNAM-$VERSION/{pdf,ps}
# Append .new to config files
for i in $PKG/etc/xen/{*.conf,*.sxp,*.xml} ; do mv $i $i.new ; done